Package org.apache.sysds.hops

# Enum Class FunctionOp.FunctionType

java.lang.Object
java.lang.Enum<FunctionOp.FunctionType>
org.apache.sysds.hops.FunctionOp.FunctionType

All Implemented Interfaces:
  `Serializable`, `Comparable<FunctionOp.FunctionType>`, `Constable`

Enclosing class:
  FunctionOp

public static enum FunctionOp.FunctionType extends Enum<FunctionOp.FunctionType>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`DML`
`MULTIRETURN_BUILTIN`
`UNKNOWN`

## Method Summary

Modifier and Type
Method
Description
`static FunctionOp.FunctionType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static FunctionOp.FunctionType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### DML

public static final FunctionOp.FunctionType DML

### MULTIRETURN_BUILTIN

public static final FunctionOp.FunctionType MULTIRETURN_BUILTIN

### UNKNOWN

public static final FunctionOp.FunctionType UNKNOWN

## Method Details

### values

public static FunctionOp.FunctionType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static FunctionOp.FunctionType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null